<!-- FOOTER START -->
<div id="footer">

<?php
// XI 2014 styling
if (use_2014_features() && get_option('theme', 'xi2014') == 'xi2014') {
?>

    <div class="well">
        <div class="row-fluid">
            <div class="span6 footer-left">
                <?php echo get_product_name(); ?> <?php echo get_product_version(); ?>
                <?php if (is_admin()) { // Admins only for updates ?>
                &nbsp;&nbsp;&bull;&nbsp;&nbsp;
                <a href="<?php echo get_update_check_url();?>" target="_blank"><?php echo gettext("Check for Updates"); ?> <i class="icon-share"></i></a>
                <?php } ?>
            </div>
            <div class="span6 footer-right">

                <?php if (is_authenticated() === true) { ?>
                <div id="tray_alerter"><img id="tray_alerter_image" src="<?php echo theme_image("throbber.gif");?>"></div>
                <div id="tray_alerter_popup">
                    <strong><?php echo gettext("Information and Alerts"); ?>:</strong>
                    <div id="tray_alerter_popup_content" style="overflow: auto; border: 1px solid white; margin: 0pt 0pt 0pt 0px; padding: 5px; height: 100px;">
                        <img src="<?php echo theme_image("throbber.gif");?>"> Loading data...
                    </div>
                </div>
                <?php } ?>

                <a href="<?php echo get_base_url();?>about/"><?php echo gettext("About"); ?></a> &nbsp;&nbsp;|&nbsp;&nbsp;
                <a href="<?php echo get_base_url();?>about/?legal"><?php echo gettext("Legal"); ?></a> &nbsp;&nbsp;|&nbsp;&nbsp;
                Copyright &copy; 2008-<?php echo date('Y'); ?> <a href="http://www.nagios.com/" target="_blank">Nagios Enterprises, LLC</a>
            </div>
        </div>
    </div>

<?php
} else { // End 2014 style
?>

    <div id="footermenucontainer">
        <div id="footernotice"><?php echo get_product_name();?> <?php echo get_product_version();?>  Copyright &copy; 2008-<?php echo date('Y'); ?> <a href="http://www.nagios.com/" target="_blank">Nagios Enterprises, LLC</a>.</div>

        <?php if (is_authenticated() === true) { ?>
        <div id="tray_alerter"><img id="tray_alerter_image" src="<?php echo theme_image("throbber.gif");?>"></div>
        <div id="tray_alerter_popup">
            <strong><?php echo gettext("Information and Alerts"); ?>:</strong>
            <div id="tray_alerter_popup_content" style="overflow: auto; border: 1px solid white; margin: 0pt 0pt 0pt 0px; padding: 5px; height: 100px;">
                <img src="<?php echo theme_image("throbber.gif");?>"> Loading data...
            </div>
        </div>
        <?php } ?>

        <ul class="footermenu">
            <li><a href="<?php echo get_base_url();?>about/"><?php echo gettext("About"); ?></a></li>
            <li><a href="<?php echo get_base_url();?>about/?legal"><?php echo gettext("Legal"); ?></a></li>
        </ul>
    </div>

    <?php if (is_admin()) { // Only display update link for admin users ?>
    <div id="checkforupdates">
        <a href="<?php echo get_update_check_url();?>" target="_blank"><img src="<?php echo get_base_url();?>images/checkforupdates.png" alt="Check for updates" title="Check for updates" border="0"></a>
    </div>
    <?php } ?>

<?php
} // End original classic style
?>

<script type="text/javascript">
    
function get_tray_alert_content() {     
    var optsarr = {
        "func": "get_tray_alert_html",
        "args": ""
    }
    var opts = array2json(optsarr);
    get_ajax_data_with_callback("getxicoreajax", opts, "process_tray_alert_content");
}
        
function process_tray_alert_content(edata) {
    data = unescape(edata);
    $("#tray_alerter_popup_content").html(data);
    
    var status = $("#tray_alerter_status").html();
    $("#tray_alerter").html(status);
}

$(document).ready(function() {

    get_tray_alert_content();
        
    $("#tray_alerter").everyTime(<?php echo get_dashlet_refresh_rate(30, "tray_alert"); ?>, "timer-tray_alerter", function(i) {
        get_tray_alert_content();
    });

    $("#tray_alerter").click(function() {
        var vis = $("#tray_alerter_popup").css("visibility");
        if (vis == "hidden") {
            $("#tray_alerter_popup").css("visibility", "visible");
        } else {
            $("#tray_alerter_popup").css("visibility", "hidden");
        }
    });
        
});
</script>

    <div id="keepalive"></div>

</div> <!-- end footer div -->

<!-- FOOTER END -->